| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# IRndmEngine Class Reference

`#include <GaudiKernel/IRndmEngine.h>`

Inheritance diagram for IRndmEngine:

[legend]
Collaboration diagram for IRndmEngine:

[legend]
List of all members.

## Detailed Description

Definition of a interface for a generic random number generator giving randomly distributed numbers in the range [0.

..1] number generators.

Author:
  M.Frank

Version:
  1.0

Definition at line 23 of file IRndmEngine.h.

## Public Member Functions
virtual double | rndm () const=0
| Single shot returning single random number.
virtual StatusCode | rndmArray (std::vector< double > &array, long howmany, long start=0) const =0
| Multiple shots returning vector with flat random numbers.
virtual StatusCode | setSeeds (const std::vector< long > &seeds)=0
| Allow to set new seeds.
virtual StatusCode | seeds (std::vector< long > &seeds) const =0
| Allow to retrieve seeds.
## Static Public Member Functions
static const InterfaceID & | interfaceID ()
| Retrieve interface ID.

## Member Function Documentation

static const InterfaceID& IRndmEngine::interfaceID | ( |  | ) | `[inline, static]`

Retrieve interface ID.

Reimplemented from IInterface.

Definition at line 26 of file IRndmEngine.h.

References IID_IRndmEngine.

    00026 { return IID_IRndmEngine; }

virtual double IRndmEngine::rndm | ( |  | ) | const`[pure virtual]`

Single shot returning single random number.

Implemented in HepRndm::Engine< TYPE >, RndmEngine, and RndmGenSvc.

Referenced by RndmGenSvc::rndm().

virtual StatusCode IRndmEngine::rndmArray | ( | std::vector< double > & | array,
|  | long | howmany,
|  | long | start = `0` |
| ) |  |  | const`[pure virtual]`

Multiple shots returning vector with flat random numbers.

Parameters:

  | array | Array containing random numbers
  | howmany | fill 'howmany' random numbers into array
  | start | ... starting at position start

Returns:
  StatusCode indicating failure or success.

Implemented in RndmEngine, and RndmGenSvc.

Referenced by RndmGenSvc::rndmArray().

virtual StatusCode IRndmEngine::setSeeds | ( | const std::vector< long > & | seeds | ) | `[pure virtual]`

Allow to set new seeds.

Implemented in HepRndm::Engine< TYPE >, and RndmGenSvc.

Referenced by RndmGenSvc::setSeeds().

virtual StatusCode IRndmEngine::seeds | ( | std::vector< long > & | seeds | ) | const`[pure virtual]`

Allow to retrieve seeds.

Implemented in HepRndm::Engine< TYPE >, and RndmGenSvc.

Referenced by RndmGenSvc::seeds().

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/GaudiKernel/IRndmEngine.h